rb_econv_t Struct Reference

## Data Fields

int | flags
const char * | source_encoding_name
const char * | destination_encoding_name
int | started
const unsigned char * | replacement_str
size_t | replacement_len
const char * | replacement_enc
int | replacement_allocated
unsigned char * | in_buf_start
unsigned char * | in_data_start
unsigned char * | in_data_end
unsigned char * | in_buf_end
rb_econv_elem_t * | elems
int | num_allocated
int | num_trans
int | num_finished
struct rb_transcoding * | last_tc
struct {
rb_econv_result_t result
struct rb_transcoding * error_tc
const char * source_encoding
const char * destination_encoding
const unsigned char * error_bytes_start
size_t error_bytes_len
size_t readagain_len
} | last_error
rb_encoding * | source_encoding
rb_encoding * | destination_encoding

## Detailed Description

Definition at line 111 of file transcode.c.

## Field Documentation

const char* rb_econv_t::destination_encoding

Definition at line 138 of file transcode.c.

Referenced by econv_destination_encoding(), econv_init(), econv_primitive_convert(), econv_primitive_errinfo(), make_econv_exception(), rb_econv_alloc(), rb_econv_convert0(), and rb_econv_substr_append().

rb_encoding* rb_econv_t::destination_encoding

Definition at line 147 of file transcode.c.

const char* rb_econv_t::destination_encoding_name

Definition at line 114 of file transcode.c.

Referenced by econv_equal(), econv_inspect(), make_econv_exception(), rb_econv_alloc(), rb_econv_init_by_convpath(), and rb_econv_open0().

rb_econv_elem_t* rb_econv_t::elems

Definition at line 127 of file transcode.c.

Referenced by econv_convpath(), econv_equal(), make_econv_exception(), rb_econv_add_transcoder_at(), rb_econv_alloc(), rb_econv_binmode(), rb_econv_close(), rb_econv_convert0(), rb_econv_decorate_at_first(), rb_econv_decorate_at_last(), rb_econv_init_by_convpath(), rb_econv_insert_output(), rb_econv_memsize(), rb_econv_putback(), rb_econv_putbackable(), rb_trans_conv(), and trans_sweep().

size_t rb_econv_t::error_bytes_len

Definition at line 140 of file transcode.c.

Referenced by econv_primitive_errinfo(), make_econv_exception(), output_hex_charref(), rb_econv_alloc(), rb_econv_convert0(), and transcode_loop().

const unsigned char* rb_econv_t::error_bytes_start

Definition at line 139 of file transcode.c.

Referenced by econv_primitive_errinfo(), make_econv_exception(), output_hex_charref(), rb_econv_alloc(), rb_econv_convert0(), and transcode_loop().

struct rb_transcoding* rb_econv_t::error_tc

Definition at line 136 of file transcode.c.

Referenced by rb_econv_alloc(), and rb_econv_convert0().

int rb_econv_t::flags

Definition at line 112 of file transcode.c.

Referenced by econv_equal(), econv_inspect(), rb_econv_alloc(), rb_econv_binmode(), rb_econv_convert(), rb_econv_open(), and rb_econv_open0().

unsigned char* rb_econv_t::in_buf_end

Definition at line 126 of file transcode.c.

Referenced by rb_econv_alloc(), rb_econv_insert_output(), and rb_econv_memsize().

unsigned char* rb_econv_t::in_buf_start

Definition at line 123 of file transcode.c.

Referenced by rb_econv_alloc(), rb_econv_close(), rb_econv_convert0(), rb_econv_insert_output(), and rb_econv_memsize().

unsigned char* rb_econv_t::in_data_end

Definition at line 125 of file transcode.c.

Referenced by rb_econv_alloc(), rb_econv_convert0(), and rb_econv_insert_output().

unsigned char* rb_econv_t::in_data_start

Definition at line 124 of file transcode.c.

Referenced by rb_econv_alloc(), rb_econv_convert0(), and rb_econv_insert_output().

struct { ... } rb_econv_t::last_error

Referenced by econv_primitive_errinfo(), make_econv_exception(), output_hex_charref(), rb_econv_alloc(), rb_econv_convert0(), and transcode_loop().

struct rb_transcoding* rb_econv_t::last_tc

Definition at line 131 of file transcode.c.

Referenced by make_replacement(), rb_econv_add_transcoder_at(), rb_econv_alloc(), rb_econv_encoding_to_insert_output(), rb_econv_substr_append(), and transcode_loop().

int rb_econv_t::num_allocated

Definition at line 128 of file transcode.c.

Referenced by rb_econv_add_transcoder_at(), rb_econv_alloc(), and rb_econv_memsize().

int rb_econv_t::num_finished

Definition at line 130 of file transcode.c.

Referenced by rb_econv_alloc(), and trans_sweep().

int rb_econv_t::num_trans

Definition at line 129 of file transcode.c.

Referenced by econv_convpath(), econv_equal(), make_econv_exception(), rb_econv_add_transcoder_at(), rb_econv_alloc(), rb_econv_binmode(), rb_econv_close(), rb_econv_convert0(), rb_econv_decorate_at_first(), rb_econv_decorate_at_last(), rb_econv_init_by_convpath(), rb_econv_insert_output(), rb_econv_memsize(), rb_econv_open_by_transcoder_entries(), rb_econv_putback(), rb_econv_putbackable(), rb_trans_conv(), and trans_sweep().

size_t rb_econv_t::readagain_len

Definition at line 141 of file transcode.c.

Referenced by econv_primitive_errinfo(), make_econv_exception(), rb_econv_alloc(), and rb_econv_convert0().

int rb_econv_t::replacement_allocated

Definition at line 121 of file transcode.c.

Referenced by make_replacement(), rb_econv_alloc(), rb_econv_close(), rb_econv_memsize(), and rb_econv_set_replacement().

const char* rb_econv_t::replacement_enc

Definition at line 120 of file transcode.c.

Referenced by econv_equal(), econv_get_replacement(), make_replacement(), output_replacement_character(), rb_econv_alloc(), and rb_econv_set_replacement().

size_t rb_econv_t::replacement_len

Definition at line 119 of file transcode.c.

Referenced by econv_equal(), econv_get_replacement(), make_replacement(), output_replacement_character(), rb_econv_alloc(), rb_econv_memsize(), and rb_econv_set_replacement().

const unsigned char* rb_econv_t::replacement_str

Definition at line 118 of file transcode.c.

Referenced by econv_equal(), econv_get_replacement(), make_replacement(), output_replacement_character(), rb_econv_alloc(), rb_econv_close(), and rb_econv_set_replacement().

rb_econv_result_t rb_econv_t::result

Definition at line 135 of file transcode.c.

Referenced by econv_primitive_errinfo(), make_econv_exception(), rb_econv_alloc(), and rb_econv_convert0().

const char* rb_econv_t::source_encoding

Definition at line 137 of file transcode.c.

Referenced by econv_init(), econv_primitive_errinfo(), econv_putback(), econv_source_encoding(), make_econv_exception(), output_hex_charref(), rb_econv_alloc(), rb_econv_convert0(), and transcode_loop().

rb_encoding* rb_econv_t::source_encoding

Definition at line 146 of file transcode.c.

const char* rb_econv_t::source_encoding_name

Definition at line 113 of file transcode.c.

Referenced by econv_equal(), econv_inspect(), make_econv_exception(), rb_econv_alloc(), rb_econv_init_by_convpath(), and rb_econv_open0().

int rb_econv_t::started

Definition at line 116 of file transcode.c.

Referenced by rb_econv_add_converter(), rb_econv_alloc(), rb_econv_convert(), and rb_econv_insert_output().

The documentation for this struct was generated from the following file:

- transcode.c